---
title: "Abra Bitcoin Crypto Wallet Buy Trade Earn Interest"
altTitle: 

users: 500000
appId: com.plutus.wallet
launchDate: 2015-03-04
latestUpdate: 2020-12-15
apkVersionName: "Varies with device"
stars: 4.5
ratings: 11124
reviews: 5096
size: Varies with device
website: https://www.abra.com
repository: 
issue: 
icon: com.plutus.wallet.png
bugbounty: 
verdict: custodial # wip fewusers nowallet nobtc obfuscated custodial nosource nonverifiable reproducible bounty defunct
date: 2020-10-12
reviewStale: true
signer: 
reviewArchive:


providerTwitter: AbraGlobal
providerLinkedIn: company/abra
providerFacebook: GoAbraGlobal
providerReddit: 

redirect_from:
  - /com.plutus.wallet/
  - /posts/com.plutus.wallet/
---


The Google Play description certainly sounds like a custodial wallet:

> Abra is the world’s first global investment app that enables you to invest in
hundreds of cryptocurrencies* like Bitcoin, Ethereum, XRP, Litecoin, Stellar,
Monero, and many more all in one app.

As we can't find a word on security or their source code or about the user being
in control we conclude for now this is a custodial app which gives it our
verdict: **not verifiable**.
